<template>
  <v-dialog v-model="showDialog" :width="widthHere" style="boder-radius: 30px">
    <v-card>
      <v-btn
        icon
        @click="$emit('close')"
        elevation="0"
        color="black"
        class="close-btn"
        ><v-icon>mdi-close</v-icon></v-btn
      >
      <v-card-title>
        <v-row align="center" justify="center">
          <v-col
            align="center"
            class="ma-auto"
            cols="12"
            sm="7"
            md="7"
            lg="7"
            xl="7"
          >
            <h2 class="ma-auto" style="text-align: center">
              {{ $t("tmp_popup.eager_to_join") }}
            </h2>

            <h2
              class="coming-soon"
              :class="$vuetify.breakpoint.mobile ? '' : 'ma-2 pa-5'"
            >
              {{ $t("tmp_popup.coming_soon") }}
            </h2>
          </v-col>

          <v-col cols="6" sm="4" md="5" lg="4" xl="4">
            <img
              class="purr-delete-confirmation"
              :class="{
                'ma-3 pa-3 ml-0': !$vuetify.breakpoint.xs,
                'mt-9 mb-9 ml-0':
                  $vuetify.breakpoint.lg || $vuetify.breakpoint.xl,
              }"
              src="../assets/pop-up-pic.svg"
              alt=""
            /> </v-col
        ></v-row>
      </v-card-title>
      <!-- <v-card-actions>
        <v-container>
          <p class="coming-soon" :class="$vuetify.breakpoint.mobile ? '' : ''">
            Coming Soon
          </p>
          <p
            style="
              margin: auto;
              margin-bottom: 30px;
              margin-top: 10px;
              text-align: center;
              word-break: normal;
            "
            class="text-mobile"
          >
            Just give us your email. <br />You will be one of the first to learn
            about the launch!
          </p>
          <v-row align="center" justify="center">
            <v-col cols="10" sm="11" md="10" lg="9" xl="8" class="pa-0">
              <CustomTextField
                :vmodel="email"
                :rules="[rules.required, rules.email]"
                label="E-mail"
                placeholder="example@mail.ua"
              />
            </v-col>
            <v-col cols="10" sm="11" md="10" lg="9" xl="8" class="pa-0">
              <button
                @click="scrollToTargetAdjusted('buyer-info')"
                class="green-btn text-mobile"
                style="margin-bottom: 25px"
              >
                Send
              </button>
            </v-col>
          </v-row>
        </v-container>
      </v-card-actions> -->
      <!-- <div
        style="
          width: 80%;
          display: flex;
          flex-direction: row;
          justify-content: space-around;
          margin: auto;
          margin-top: 30px;
        "
      >
        <div class="block">
          <h1 class="orange-txt number">{{ days }}</h1>
          <p class="small-grey-text">Days</p>
        </div>
        <div class="block">
          <h1 class="orange-txt number">{{ hours }}</h1>
          <p class="small-grey-text">Hours</p>
        </div>
        <div class="block">
          <h1 class="orange-txt number">{{ minutes }}</h1>
          <p class="small-grey-text">Minutes</p>
        </div>
        <div class="block">
          <h1 class="orange-txt number">{{ seconds }}</h1>
          <p class="small-grey-text">Seconds</p>
        </div>
      </div> -->
    </v-card>
  </v-dialog>
</template>

<script>
// import CustomTextField from "./CustomTextField.vue";
export default {
  props: { showDialog: Boolean },
  components: {
    // CustomTextField,
  },
  data() {
    return {
      interval: null,
      date: Math.trunc(Date.parse("15 Nov 2021 00:00:00 GMT") / 1000),
      now: Math.trunc(new Date().getTime() / 1000),
      days: 0,
      hours: 0,
      minutes: 0,
      seconds: 0,
      email: "",
      rules: {
        required: (value) => !!value || "Required field",
        email: (value) => {
          const pattern =
            /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
          return pattern.test(value) || "wrong format";
        },
      },
    };
  },
  computed: {
    widthHere() {
      if (this.$vuetify.breakpoint.xs || this.$vuetify.breakpoint.sm) {
        return "90%";
      } else if (this.$vuetify.breakpoint.xl) {
        return "50%";
      }
      return "60%";
    },
  },
  mounted() {
    this.interval = setInterval(() => {
      this.now = Math.trunc(new Date().getTime() / 1000);
      this.computeDigits();
    }, 1000);
  },
  beforeDestroy() {
    clearInterval(this.interval);
  },
  methods: {
    computeDigits() {
      // seconds
      let value = (this.date - this.now) % 60;
      if (value.toString().length <= 1) {
        this.seconds = "0" + value.toString();
      } else {
        this.seconds = value.toString();
      }
      // minutes
      value = Math.trunc((this.date - this.now) / 60) % 60;
      if (value.toString().length <= 1) {
        this.minutes = "0" + value.toString();
      } else {
        this.minutes = value.toString();
      }
      // hours
      value = Math.trunc((this.date - this.now) / 60 / 60) % 24;
      if (value.toString().length <= 1) {
        this.hours = "0" + value.toString();
      } else {
        this.hours = value.toString();
      }
      // days
      value = Math.trunc((this.date - this.now) / 60 / 60 / 24);
      if (value.toString().length <= 1) {
        this.days = "0" + value.toString();
      } else {
        this.days = value.toString();
      }
    },
  },
};
</script>
<style >
.close-btn {
  position: absolute;

  top: 10px;
  right: 10px;
  border-radius: 50px;
}
.v-btn > .v-btn__content .v-icon {
  color: black;
}
.v-sheet.v-card,
.v-dialog {
  border-radius: 30px !important;
  overflow: none;
}
.v-card {
  overflow: hidden;
}
.coming-soon {
  font-style: normal;
  font-weight: 600;
  /* line-height: clamp(20px, 3.9vw, 60px);
  font-size: clamp(14px, 3.5vw, 40px); */
  text-align: center;
  /* margin: 0; */
  white-space: pre-line;
  color: #ff8547 !important;
  word-break: normal;
}
.csmobile {
  font-size: calc(10px + 6vw);
  line-height: 40px;
}
.block {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.small-grey-text {
  line-height: 12px;
  font-style: normal;
  font-weight: 500;
  font-size: 12px !important;
  font-family: var(--font-family) !important;
  word-break: normal;

  color: var(--gray100);
}
.number {
  font-size: calc(14px + 5vw);
  line-height: calc(20px + 5vw);
}
</style>